%define appdir	%{_datadir}/%{name}
%define section	free

Name:		jruby
Version:	0.7.0
Release:	1jpp
Epoch:		0
Summary:	Pure Java implementation of the Ruby interpreter
License:	GPL/LGPL
URL:		http://jruby.sf.net/
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	http://download.sf.net/jruby/jruby-src-0.7.0.tar.gz
Source1:	jruby-script
Requires:	bcel
Requires:	bsf
Requires:	gnu.regexp
Requires:	java = 0:1.4.2
Requires:	jpackage-utils >= 0:1.5
Requires:	oro
BuildRequires:	ant
BuildRequires:	ant-optional
BuildRequires:	bcel
BuildRequires:	bsf
BuildRequires:	gnu.regexp
BuildRequires:	java = 0:1.4.2
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	junit
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
JRuby is a pure Java implementation of the Ruby interpreter

JRuby is free software released under a dual GPL/LGPL license.

JRuby is tightly integrated with Java to allow both to script any Java
class and to embed the interpreter into any Java application. Features

    * Working towards full compatibility with Ruby 1.8.1.
    * Support for scripting Java classes and interfaces in JRuby.
    * Bean Scripting Framework (BSF) support.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q
find . -name "*.jar" -a ! -name "RubyInitTest.jar" -exec rm -f {} \;
perl -p -i -e 's|haltonfailure="false"|haltonfailure="true"|' build.xml

%build
export JAVA_HOME=%{_jvmdir}/java-1.4.2
export CLASSPATH=$(build-classpath bcel bsf gnu.regexp oro junit)
ant jar
ant test
ant create-apidocs

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 lib/%{name}.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# data
install -p -d -m 755 $RPM_BUILD_ROOT%{appdir}
install -p -d -m 755 $RPM_BUILD_ROOT%{appdir}/lib
install -p -d -m 755 $RPM_BUILD_ROOT%{appdir}/samples
perl -p -i -e \
's|filename = "./samples/java2.rb"|filename = "%{appdir}/samples/java2.rb"|' \
samples/java2.rb
cp -a samples/* $RPM_BUILD_ROOT%{appdir}/samples

# scripts
install -D -p -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

# javadoc
install -p -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -sf %{name}-%{version} %{name})

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc COPYING COPYING.GPL COPYING.LGPL README
%doc docs/BeanScriptingFramework docs/changelog.xml docs/Compiler.txt
%doc docs/Differences.txt docs/Glossary.txt docs/Javasupport-highlevel.txt
%doc docs/Javasupport-lowlevel.txt docs/Javasupport-overview.txt
%doc docs/README.test docs/release-checklist.txt docs/TODO
%attr(0755,root,root) %{_bindir}/%{name}
%{_javadir}/%{name}.jar
%{_javadir}//%{name}-%{version}.jar
%dir %{appdir}
%{appdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Mon Mar 15 2004 David Walluck <david@anti-microsoft.org> 0:0.7.0-1jpp
- release
